Subject: Re: [PATCH 2/3] watchdog: sama5d4_wdt: add support for sama7g5-wdt

From: Nicolas Ferre <[email-masked]>
Date: Fri, 11 Jun 2021 14:24:18 +0200

On 11/06/2021 at 12:35, Guenter Roeck wrote:
> EXTERNAL EMAIL: Do not click links or open attachments unless you know the content is safe
> 
> On Fri, Jun 11, 2021 at 09:19:56AM +0200, Nicolas Ferre wrote:
>> On 27/05/2021 at 18:55, Guenter Roeck wrote:
>>> On Thu, May 27, 2021 at 01:01:19PM +0300, Eugen Hristev wrote:
>>>> Add support for compatible sama7g5-wdt.
>>>> The sama7g5 wdt is the same hardware block as on sam9x60.
>>>> Adapt the driver to use the sam9x60/sama7g5 variant if either
>>>> of the two compatibles are selected (sam9x60-wdt/sama7g5-wdt).
>>>>
>>>> Signed-off-by: Eugen Hristev <[email-masked]>
>>>
>>> Reviewed-by: Guenter Roeck <[email-masked]>
>>
>> Guenter, Wim,
>>
>> How do we proceed? Do I take this "driver" patch through my tree which goes
>> to arm-soc or do you take it with the watchdog tree?

Forget what I said above...

> I applied the series to my watchdog-next branch. That is all I can do
> from my side.

Guenter,

Sorry but I was confused and Eugen helped me realize that there was only 
watchdog related contents and associated DT binding documentation in the 
series. So all should go through Wim and your tree.

>> I'm planning to send my pull-requests before the end of this week.

Without "watchdog" material in it... so basically you don't care ;-)

Best regards,
   Nicolas

>>>> ---
>>>>    drivers/watchdog/sama5d4_wdt.c | 10 ++++++++--
>>>>    1 file changed, 8 insertions(+), 2 deletions(-)
>>>>
>>>> diff --git a/drivers/watchdog/sama5d4_wdt.c b/drivers/watchdog/sama5d4_wdt.c
>>>> index e5d11d6a2600..ec20ad4e534f 100644
>>>> --- a/drivers/watchdog/sama5d4_wdt.c
>>>> +++ b/drivers/watchdog/sama5d4_wdt.c
>>>> @@ -268,8 +268,10 @@ static int sama5d4_wdt_probe(struct platform_device *pdev)
>>>>         wdd->min_timeout = MIN_WDT_TIMEOUT;
>>>>         wdd->max_timeout = MAX_WDT_TIMEOUT;
>>>>         wdt->last_ping = jiffies;
>>>> -     wdt->sam9x60_support = of_device_is_compatible(dev->of_node,
>>>> -                                                    "microchip,sam9x60-wdt");
>>>> +
>>>> +     if (of_device_is_compatible(dev->of_node, "microchip,sam9x60-wdt") ||
>>>> +         of_device_is_compatible(dev->of_node, "microchip,sama7g5-wdt"))
>>>> +             wdt->sam9x60_support = true;
>>>>
>>>>         watchdog_set_drvdata(wdd, wdt);
>>>>
>>>> @@ -329,6 +331,10 @@ static const struct of_device_id sama5d4_wdt_of_match[] = {
>>>>         {
>>>>                 .compatible = "microchip,sam9x60-wdt",
>>>>         },
>>>> +     {
>>>> +             .compatible = "microchip,sama7g5-wdt",
>>>> +     },
>>>> +
>>>>         { }
>>>>    };
>>>>    MODULE_DEVICE_TABLE(of, sama5d4_wdt_of_match);
>>>> --
>>>> 2.25.1
>>>>
>>
>>
>> --
>> Nicolas Ferre

-- 
Nicolas Ferre

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel